For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Ask AIPlaygroundLoginFree API Key
HomeAPI ReferenceVoice AgentSpeech-to-TextText-to-SpeechIntelligenceSelf-Hosted Deployments
HomeAPI ReferenceVoice AgentSpeech-to-TextText-to-SpeechIntelligenceSelf-Hosted Deployments
  • General
    • Deepgram API Overview
    • Authentication
    • Regional Endpoints
    • Custom Endpoints
    • Errors
    • API Rate Limits
  • API Reference
          • GETList Project Keys
          • POSTCreate a Project Key
          • GETGet a Project Key
          • DELDelete a Project Key
LogoLogo
Ask AIPlaygroundLoginFree API Key
API ReferenceManageKeys

List Project Keys

GET
https://api.deepgram.com/v1/projects/:project_id/keys
GET
/v1/projects/:project_id/keys
1import requests
2
3url = "https://api.deepgram.com/v1/projects/project_id/keys"
4
5headers = {"Authorization": "Token <apiKey>"}
6
7response = requests.get(url, headers=headers)
8
9print(response.json())
Try it
1{
2 "api_keys": [
3 {
4 "member": {
5 "member_id": "1000-2000-3000-4000",
6 "email": "john@test.com"
7 },
8 "api_key": {
9 "api_key_id": "1234567890abcdef1234567890abcdef",
10 "comment": "A comment",
11 "scopes": [
12 "admin"
13 ],
14 "created": "2021-01-01T00:00:00Z"
15 }
16 }
17 ]
18}
Retrieves all API keys associated with the specified project
Was this page helpful?
Previous

Create a Project Key

Next
Built with

Authentication

AuthorizationToken

Use Authorization: Token <API_KEY> Example: Authorization: Token 12345abcdef

Path parameters

project_idstringRequired

Query parameters

statusenumOptional
Only return keys with a specific status
Allowed values:

Response

A list of API keys
api_keyslist of objects

Errors

400
Bad Request Error